// Create utilities for the themes
// Color themes
@each $color in (theme-brand theme-accent theme-green theme-orange theme-purple theme-grey theme-icd theme-votorantim theme-default) {
    .#{$color} {
        --theme-color: #{color($color)};
        --theme-light-color: #{color(#{$color}-light)};
    }
    .bg-#{$color} {
        background: color($color);
    }
    .bg-#{$color}-light {
        background: color(#{$color}-light);
    }
}

.theme-brand, .theme-accent, .theme-green, .theme-orange, .theme-purple, .theme-grey, .theme-icd, .theme-votorantim, .theme-default {
    input[type="text"], textarea {
        border-color: var(--theme-color);
    }
    label {
        color: var(--theme-color);
    }
}

// Links
p {
    a:hover, a:focus, a:visited, a {
        text-decoration: underline;
    }
}
